summaryrefslogtreecommitdiffstats
path: root/scripts/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/Makefile')
-rwxr-xr-xscripts/Makefile20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/Makefile b/scripts/Makefile
new file mode 100755
index 0000000..a4cc7e1
--- /dev/null
+++ b/scripts/Makefile
@@ -0,0 +1,20 @@
+
+
+PYFILES = $(wildcard *.py)
+
+PYCHECKER = /usr/bin/pychecker
+PYFLAKES = /usr/bin/pyflakes
+
+clean::
+ @rm -fv *.pyc *~ .*~ *.pyo
+ @find . -name .\#\* -exec rm -fv {} \;
+ @rm -fv *.rpm
+
+
+pychecker::
+ @$(PYCHECKER) $(PYFILES) || exit 0
+
+pyflakes::
+ifneq ($(PYFILES)x, x)
+ @$(PYFLAKES) $(PYFILES) || exit 0
+endif